summaryrefslogtreecommitdiff
path: root/post-install.d/30git-add
diff options
context:
space:
mode:
Diffstat (limited to 'post-install.d/30git-add')
-rwxr-xr-xpost-install.d/30git-add7
1 files changed, 7 insertions, 0 deletions
diff --git a/post-install.d/30git-add b/post-install.d/30git-add
new file mode 100755
index 0000000..33858a7
--- /dev/null
+++ b/post-install.d/30git-add
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+if [ -d .git ]; then
+ if ! git add .; then
+ echo "etckeeper warning: git add failed" >&2
+ fi
+fi